# Uses of Class
it.tdlight.jni.TdApi.StoryContent

## Uses of TdApi.StoryContent in it.tdlight.jni

Subclasses of TdApi.StoryContent in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.StoryContentPhoto`
A photo story.
`static final class`
`TdApi.StoryContentUnsupported`
A story content that is not supported in the current TDLib version.
`static final class`
`TdApi.StoryContentVideo`
A video story.
Fields in it.tdlight.jni declared as TdApi.StoryContent
Modifier and Type
Field
Description
`TdApi.StoryContent`
TdApi.Story.`content`
Content of the story.
Constructors in it.tdlight.jni with parameters of type TdApi.StoryContent
Modifier
Constructor
Description
``
`Story(int id, long senderChatId, TdApi.MessageSender senderId, int date, boolean isBeingSent, boolean isBeingEdited, boolean isEdited, boolean isPinned, boolean isVisibleOnlyForSelf, boolean canBeDeleted, boolean canBeEdited, boolean canBeForwarded, boolean canBeReplied, boolean canToggleIsPinned, boolean canGetStatistics, boolean canGetInteractions, boolean hasExpiredViewers, TdApi.StoryRepostInfo repostInfo, TdApi.StoryInteractionInfo interactionInfo, TdApi.ReactionType chosenReactionType, TdApi.StoryPrivacySettings privacySettings, TdApi.StoryContent content, TdApi.StoryArea[] areas, TdApi.FormattedText caption)`
Represents a story.